/**
 * Copyright 2019 DH
 * All right reserved.
 * 项目名称: 大恒泰山系统
 * 创建日期:2022/8/22
 */
package org.springblade.modules.baseinfo.region.service.impl;

import org.springblade.core.mp.base.BaseServiceImpl;
import org.springblade.modules.baseinfo.region.dto.RegionInfoDTO;
import org.springblade.modules.baseinfo.region.entity.RegionInfoEntity;
import org.springblade.modules.baseinfo.region.mapper.BaseRegionMapper;
import org.springblade.modules.baseinfo.region.service.IBaseRegionService;
import org.springframework.stereotype.Service;

import java.util.List;

/***
 * Date:2022/8/22
 * Title:文件所属模块（必须填写）
 * Description：对本文件的详细描述，原则上不能少于30字
 * @author dylan
 * @version 1.0
 * Remark：认为有必要的其他信息
 */
@Service
public class BaseRegionServiceImpl extends BaseServiceImpl<BaseRegionMapper, RegionInfoEntity> implements IBaseRegionService {

    @Override
    public long getCount(RegionInfoDTO dto) {
        return baseMapper.getCount(dto);
    }

    @Override
    public List<RegionInfoEntity> selectList(RegionInfoDTO dto) {
        return baseMapper.selectList(dto);
    }

    @Override
    public RegionInfoEntity getByCode(String code) {
        return baseMapper.getByCode(code);
    }
}
